<div id="top"></div>
<div class="container">
  <h2>Buat Jadwal</h2>
  <div class="container-content">
    <form [formGroup]="newSchedule">
        <table class="">
            <tr>
                <td>Program</td>
                <td>:</td>
                <td>
                    <mat-form-field>
                        <mat-select placeholder="Pilih Program" formControlName="program" (selectionChange)="changeTrainees($event)">
                          <mat-option *ngFor="let prog of program" [value]="prog.code">
                            {{prog.code}}
                          </mat-option>
                        </mat-select>
                    </mat-form-field>
                </td>
            </tr>
            <tr>
                <td>Tanggal</td>
                <td>:</td>
                <td>
                    <mat-form-field>
                        <input matInput [matDatepicker]="picker" placeholder="Pilih Tanggal" formControlName="tanggal">
                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker touchUi #picker></mat-datepicker>
                    </mat-form-field>
                </td>
            </tr>
            <tr>
                <td>Kelas</td>
                <td>:</td>
                <td>
                    <mat-form-field>
                        <mat-select placeholder="Pilih Kelas" formControlName="kelas">
                            <mat-option *ngFor="let kelas of class" [value]="kelas.code">
                                {{kelas.code}}
                            </mat-option>
                            </mat-select>
                    </mat-form-field>
                </td>
            </tr>
            <tr>
                <td>Materi</td>
                <td>:</td>
                <td>
                    <mat-form-field>
                        <mat-select placeholder="Pilih Materi" formControlName="materi" (selectionChange)="selectedMateriChange($event.value)">
                            <mat-option *ngFor="let materi of material" [value]="materi.code">
                                {{materi.name}}  
                            </mat-option>
                            </mat-select>
                    </mat-form-field>
                </td>
            </tr>
            <tr *ngIf="newSchedule.value.materi != ''">
                <td>Trainer</td>
                <td>:</td>
                <td>
                    <mat-form-field>
                        <mat-select placeholder="Pilih Trainer" formControlName="trainer">
                            <mat-option *ngFor="let trainer of competency" [value]="trainer.trainer_nip">
                              {{trainer.trainer_nip}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </td>
            </tr>            
            
            <tr *ngIf="newSchedule.value.program == 'NONPR'">
                <td>Peserta</td>
                <td>:</td>
                <td>
                    <mat-form-field>
                        <mat-chip-list #chipList>
                          <mat-chip
                            *ngFor="let nip of selectedTrainee"
                            [selectable]="selectable"
                            [removable]="removable"
                            (removed)="remove(nip)">
                            {{nip}}
                            <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                          </mat-chip>
                          <input
                            placeholder="Masukan NIP Peserta"
                            #traineeInput
                            [formControl]="traineeCtrl"
                            [matAutocomplete]="auto"
                            [matChipInputFor]="chipList"
                            [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                            [matChipInputAddOnBlur]="addOnBlur"
                            (matChipInputTokenEnd)="add($event)">
                        </mat-chip-list>
                        <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
                          <mat-option *ngFor="let list of filteredTrainee | async" [value]="list">
                            {{list}}
                          </mat-option>
                        </mat-autocomplete>
                    </mat-form-field>
                </td>
            </tr>
            <br>
            <tr *ngIf="newSchedule.value.materi != ''">
                <td>Attachment</td>
                <td>:</td>
                <td>
                    <input type="file" (change)="onFileSelected($event)" name="file">
                    <button type="button" class="button" (click)="onUpload()">Upload</button>
                    <button type="button" class="button" (click)="download()">Download</button>
                </td>
            </tr>
        </table>
        <div class="btn">
            <button mat-raised-button color="primary" (click)="createSchedule(newSchedule.value)">SUBMIT</button>
        </div>
      
    </form>
  </div>
</div>